Subject: Re: Speclib's new perl patch --> Cygwin snapshot compilation failure
From: "Gerrit P. Haase" <[email-masked]>
To: Kelley Cook <[email-masked]>
Cc: [email-masked], Kelley Cook <[email-masked]>
Date: Wed, 27 Aug 2003 22:39:10 +0200

Hallo Kelley,

Am Mittwoch, 27. August 2003 um 19:26 schriebst du:

> I was seeing the exact same failure on attempting to compile the recent 
> 8-23-2003 cygwin snapshot as Peter Garrone 
> http://sources.redhat.com/ml/cygwin/2003-08/msg01381.html

> I was compiling under stock cygwin 1.5.2 with all the experimental 
> packages of 8/27/2003 -- including Perl 5.8.0-3.

> It seems to be caused by this patch to speclib.
> http://sources.redhat.com/cgi-bin/cvsweb.cgi/src/winsup/cygwin/speclib.diff?r1=1.9&r2=1.10&cvsroot=src

> Removing the PERL portion allowed everything to compile, though now the 
> "ld: final link failed: File truncated" has returned when compiling GCC. :(

> I'm willing to test any potential solutions to this problem

Please try the latest available perl snapshot test pre-release:
http://anfaenger.de/cygwin-1.5/perl/perl-5.8.1-1.tar.bz2

You can use setup.exe to install it, to do so, add this URL to the
mirrors list: http://anfaenger.de/cygwin-1.5

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/